Leads

3 endpoints|Base URL: https://pipe.solar/api/1.1/wf

Retrieve Lead by ID

GET/fetch_lead_hi

Query Params

idstringqueryrequired
1curl -X GET "https://pipe.solar/api/1.1/wf/fetch_lead_hi?id=value" \
2 -H "Authorization: Bearer ps_live_..." \
3 -H "Content-Type: application/json"
Response
1{
2 "customerFirstName": "John",
3 "customerLastName": "Doe",
4 "customerPhoneNumber": "7865550001",
5 "customerEmail": "john.doe@example.com",
6 "customerAddress": "500 Biscayne Blvd, Miami, FL 33132, USA",
7 "customerStreet": "500 Biscayne Boulevard",
8 "customerCity": "Miami",
9 "customerState": "Florida",
10 "customerZip": "33132",
11 "secondaryCustomerFirstName": "Jane",
12 "secondaryCustomerLastName": "Doe",
13 "secondaryCustomerPhoneNumber": "7865550002",
14 "secondaryCustomerEmail": "jane.doe@example.com",
15 "customerNotes": "Customer interested in battery backup and lower monthly payments.",
16 "projectStatus": "Contract Signed",
17 "contractSignedDate": "03/28/26",
18 "submittedDate": "03/30/26",
19 "contractURL": [
20 "https://example.com/contracts/john_doe_contract.pdf"
21 ],
22 "proposalURL": "https://example.com/proposal/123456",
23 "projectURL": "https://example.com/project/123456",
24 "financeCompany": "LightReach",
25 "financeAmount": "30000.00",
26 "financeAPR": "1.49",
27 "financeDealerFee": "7",
28 "financeTerm": "18",
29 "monthlyPayment": "1750.00",
30 "financeType": "Lease",
31 "Products": [
32 {
33 "product_name": "Lion Energy 13.5 kWh",
34 "product_cost": "15000"
35 },
36 {
37 "product_name": "Backup Gateway System",
38 "product_cost": "4500"
39 }
40 ],
41 "adjustments": "500",
42 "contractPrice": "30500",
43 "salesRepName": "Alex Bennett",
44 "salesRepEmail": "admin@pipe.solar",
45 "salesRepPhone": "6157856656",
46 "setterName": "Alex Bennett",
47 "setterEmail": "admin@pipe.solar",
48 "setterPhone": "6157856656",
49 "id": "JD12345"
50}

Fetch All Lead (org)

GET/fetch_all_lead_hi

Query Params

org_idstringqueryrequired
pagestringqueryrequired
1curl -X GET "https://pipe.solar/api/1.1/wf/fetch_all_lead_hi?org_id=value&page=value" \
2 -H "Authorization: Bearer ps_live_..." \
3 -H "Content-Type: application/json"
Response
Successful response

Fetch All Lead (Installer)

GET/fetch_all_lead_hi_installer

Query Params

installer_idstringqueryrequired
pagestringquery
1curl -X GET "https://pipe.solar/api/1.1/wf/fetch_all_lead_hi_installer?installer_id=value" \
2 -H "Authorization: Bearer ps_live_..." \
3 -H "Content-Type: application/json"
Response
Successful response